/* === FIXES DISPLAY ISSUES === */
.fixed-page-header-wrapper {
  position: absolute;
  width: 100%;
}

.header.content {
  padding: 50px 25px 0;
}

/* === BANNER === */
.banner {
  visibility: visible !important;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 114px;
  margin-bottom: 50px;
  width: 100%;
}

.banner .image-wrapper {
  margin-bottom: 30px;
}

.banner .image-wrapper,
.banner .image-wrapper picture {
  display: block;
  width: 100%;
}

.banner .image-wrapper img {
  display: block;
  aspect-ratio: 400/465; /* original aspect ratio for mobile devices */
  aspect-ratio: 1/1; /* removes useless space thanks to 'object-fit: cover;' below */
  width: 100%;
  object-fit: cover;
  object-position: top;
}

.banner .text-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  padding: 0 20px;
  width: 100%;
  height: 100%;
  font-family: "TradeGothicLTCom-BdCn20", "sans-serif";
  text-align: center;
  color: #000000;
  background-color: #fff;
}

.banner .category {
  margin-bottom: 24px;
  font-size: 16px;
}

.banner .title {
  font-size: 40px;
  text-transform: uppercase;
}

.banner .promo {
  font-size: 26px;
  color: #d0006f;
}

.banner .btn:link,
.banner .btn:visited {
  display: block;
  margin-top: 24px;
  padding: 10px;
  width: 60%;
  font-size: 16px;
  text-decoration: none;
  text-transform: uppercase;
  color: #fff;
  background-color: #d0006f;
  border-radius: 30px;
}

@media screen and (min-width: 768px) {
  .banner {
    flex-direction: row;
    margin-bottom: 30px;
  }

  .banner .image-wrapper {
    margin-bottom: 0;
    width: 68%;
  }

  .banner .image-wrapper img {
    aspect-ratio: 1240/640;
  }

  .banner .text-box {
    gap: 10px;
    width: 32%;
  }

  .banner .category {
    margin-bottom: 18px;
    font-size: 16px;
  }

  .banner .title {
    font-size: 22px;
  }

  .banner .promo {
    font-size: 18px;
  }

  .banner .btn:link,
  .banner .btn:visited {
    margin-top: 18px;
    padding: 6px;
    font-size: 12px;
  }
}

@media screen and (min-width: 1024px) {
  .banner {
    margin-top: 110px;
    margin-bottom: 0;
  }

  .banner .text-box {
    gap: 12px;
  }

  .banner .category {
    margin-bottom: 24px;
    font-size: 16px;
  }

  .banner .title {
    font-size: 40px;
  }

  .banner .promo {
    font-size: 26px;
  }

  .banner .btn:link,
  .banner .btn:visited {
    margin-top: 24px;
    padding: 10px;
    font-size: 16px;
  }
}

/* === LA SELECTION DU MOMENT === */
.product-image-wrapper {
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

.product-image-wrapper img {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  max-width: 240px;
  opacity: 0;
  transition: opacity 0.3s;
  will-change: opacity;
}

.product-image-wrapper img.twic-done {
  opacity: 1;
}

.figure-elt {
  display: block;
  width: 100%;
}

.figure-elt.ratio-118-by-760 {
  aspect-ratio: 1180/760;
}

.figure-elt.ratio-1588-by-760 {
  aspect-ratio: 1588/760;
}

.figure-elt.ratio-1-by-1 {
  aspect-ratio: 1/1;
}

.figure-elt img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* === "DECOUVREZ LE BLOG DORCEL" === */
.homepage-blog .homepage-blog-img img {
  display: block;
  max-width: 100%;
  width: unset;
  min-width: unset;
  min-height: unset;

  /* position: relative;
  top: unset;
  left: unset;
  width: 100%;
  height: 100%;
  transform: unset; */
}
